### Method

# Gtk IconPaintable get_icon_name

#### Declaration [src]

    const char*
    gtk_icon_paintable_get_icon_name (
      GtkIconPaintable* self
    )

#### Description [src]

Get the icon name being used for this icon.

When an icon looked up in the icon theme was not available, the icon theme may use fallback icons - either those specified to `gtk_icon_theme_lookup_icon()` or the always-available “image-missing”. The icon chosen is returned by this function.

If the icon was created without an icon theme, this function returns `NULL`.

Gets property | `Gtk.IconPaintable:icon-name`

#### Return value

Type: `const char*`

The themed icon-name for the icon, or `NULL` if its not a themed icon.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a platform-native string, using the preferred OS encoding on Unix and UTF-8 on Windows.